rte_tcp.h(3)

NAME
rte_tcp.h

SYNOPSIS

#include <stdint.h>
#include <rte_byteorder.h>

  Data Structures

struct rte_tcp_hdr

  Macros

#define RTE_TCP_CWR_FLAG 0x80
#define RTE_TCP_ECE_FLAG 0x40
#define RTE_TCP_URG_FLAG 0x20
#define RTE_TCP_ACK_FLAG 0x10
#define RTE_TCP_PSH_FLAG 0x08
#define RTE_TCP_RST_FLAG 0x04
#define RTE_TCP_SYN_FLAG 0x02
#define RTE_TCP_FIN_FLAG 0x01

Detailed Description

TCP-related defines

Definition in file rte_tcp.h.

Macro Definition Documentation

  #define RTE_TCP_CWR_FLAG 0x80
TCP Flags Congestion Window Reduced

Definition at line 39 of file rte_tcp.h.

  #define RTE_TCP_ECE_FLAG 0x40
ECN-Echo

Definition at line 40 of file rte_tcp.h.

  #define RTE_TCP_URG_FLAG 0x20
Urgent Pointer field significant

Definition at line 41 of file rte_tcp.h.

  #define RTE_TCP_ACK_FLAG 0x10
Acknowledgment field significant

Definition at line 42 of file rte_tcp.h.

  #define RTE_TCP_PSH_FLAG 0x08
Push Function

Definition at line 43 of file rte_tcp.h.

  #define RTE_TCP_RST_FLAG 0x04
Reset the connection

Definition at line 44 of file rte_tcp.h.

  #define RTE_TCP_SYN_FLAG 0x02
Synchronize sequence numbers

Definition at line 45 of file rte_tcp.h.

  #define RTE_TCP_FIN_FLAG 0x01
No more data from sender

Definition at line 46 of file rte_tcp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.